rte_table_acl.h(3)

NAME
rte_table_acl.h

SYNOPSIS

#include <stdint.h>
#include 'rte_acl.h'
#include 'rte_table.h'

  Data Structures

struct rte_table_acl_params
struct rte_table_acl_rule_add_params
struct rte_table_acl_rule_delete_params

  Variables

struct rte_table_ops rte_table_acl_ops

Detailed Description

RTE Table ACL

This table uses the Access Control List (ACL) algorithm to uniquely associate data to lookup keys.

Use-cases: Firewall rule database, etc.

Definition in file rte_table_acl.h.

Variable Documentation

  struct rte_table_ops rte_table_acl_ops [extern]
ACL table operations

Author

Generated automatically by Doxygen for DPDK from the source code.